[arch-commits] CVS update of extra/lib/liborigin (PKGBUILD)

Damir Perisa damir at archlinux.org
Tue Nov 13 09:04:20 EST 2007


    Date: Tuesday, November 13, 2007 @ 09:04:20
  Author: damir
    Path: /home/cvs-extra/extra/lib/liborigin

Modified: PKGBUILD (1.1 -> 1.2)

upgpkg: liborigin 20070926-1


----------+
 PKGBUILD |   21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)


Index: extra/lib/liborigin/PKGBUILD
diff -u extra/lib/liborigin/PKGBUILD:1.1 extra/lib/liborigin/PKGBUILD:1.2
--- extra/lib/liborigin/PKGBUILD:1.1	Tue Mar  6 21:58:30 2007
+++ extra/lib/liborigin/PKGBUILD	Tue Nov 13 09:04:20 2007
@@ -1,25 +1,22 @@
-# $Id: PKGBUILD,v 1.1 2007/03/07 02:58:30 damir Exp $
+# $Id: PKGBUILD,v 1.2 2007/11/13 14:04:20 damir Exp $
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=liborigin
-pkgver=20070115
+pkgver=20070926
 pkgrel=1
 pkgdesc="A library for reading OriginLab OPJ project files"
 url="http://sourceforge.net/projects/liborigin/";
-arch=("i686")
-depends=('gcc')
+arch=("i686" 'x86_64')
+depends=('gcc-libs')
 license=("GPL")
-source=("http://switch.dl.sourceforge.net/sourceforge/liborigin/${pkgname}-${pkgver}.tgz")
+source=("http://switch.dl.sourceforge.net/sourceforge/liborigin/liborigin-$pkgver.tar.gz")
+#source=("http://puzzle.dl.sourceforge.net/sourceforge/liborigin/${pkgname}-${pkgver}.tgz")
 
 
 build() {
 	cd ${startdir}/src/${pkgname}-${pkgver}
-	make -f Makefile.LINUX || return 1
-    mkdir -p $startdir/pkg/usr/lib
-    mkdir -p $startdir/pkg/usr/include
-    install -m644 ${startdir}/src/${pkgname}-${pkgver}/liborigin.so* \
-       $startdir/pkg/usr/lib/
-    install -m644 ${startdir}/src/${pkgname}-${pkgver}/*.h \
-       $startdir/pkg/usr/include/
+	cmake . -DCMAKE_INSTALL_PREFIX=/usr || return 1
+	make || return 1
+	make DESTDIR=$startdir/pkg install
 }
 




More information about the arch-commits mailing list